package com.chaozhanggui.dao.system.entity;

import java.io.Serializable;
import java.util.Date;

public class TbPlussActivityRecommend implements Serializable {
    private Integer id;

    private Integer userid;

    private String name;

    private Double firstmixrechargemoney;

    private Double recommendmoney;

    private String merchantcode;

    private String merchantname;

    private String storeid;

    private String storename;

    private Date createdt;

    private String posterurl;

    private static final long serialVersionUID = 1L;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getUserid() {
        return userid;
    }

    public void setUserid(Integer userid) {
        this.userid = userid;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name == null ? null : name.trim();
    }

    public Double getFirstmixrechargemoney() {
        return firstmixrechargemoney;
    }

    public void setFirstmixrechargemoney(Double firstmixrechargemoney) {
        this.firstmixrechargemoney = firstmixrechargemoney;
    }

    public Double getRecommendmoney() {
        return recommendmoney;
    }

    public void setRecommendmoney(Double recommendmoney) {
        this.recommendmoney = recommendmoney;
    }

    public String getMerchantcode() {
        return merchantcode;
    }

    public void setMerchantcode(String merchantcode) {
        this.merchantcode = merchantcode == null ? null : merchantcode.trim();
    }

    public String getMerchantname() {
        return merchantname;
    }

    public void setMerchantname(String merchantname) {
        this.merchantname = merchantname == null ? null : merchantname.trim();
    }

    public String getStoreid() {
        return storeid;
    }

    public void setStoreid(String storeid) {
        this.storeid = storeid == null ? null : storeid.trim();
    }

    public String getStorename() {
        return storename;
    }

    public void setStorename(String storename) {
        this.storename = storename == null ? null : storename.trim();
    }

    public Date getCreatedt() {
        return createdt;
    }

    public void setCreatedt(Date createdt) {
        this.createdt = createdt;
    }

    public String getPosterurl() {
        return posterurl;
    }

    public void setPosterurl(String posterurl) {
        this.posterurl = posterurl == null ? null : posterurl.trim();
    }
}